%global _empty_manifest_terminate_build 0
Name:		python-josepy
Version:	1.14.0
Release:	1
Summary:	JOSE protocol implementation in Python
License:	Apache-2.0
URL:		https://github.com/certbot/josepy
Source0:	https://files.pythonhosted.org/packages/source/j/josepy/josepy-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python3-pip  python3-hatchling python3-hatch-vcs python3-wheel
BuildRequires:  python3-poetry-core
Requires:	python3-cryptography
Requires:	python3-PyOpenSSL
Requires:	python3-setuptools
Requires:	python3-mypy
Requires:	python3-pytest
Requires:	python3-tox
Requires:	python3-Sphinx
Requires:	python3-sphinx-rtd-theme
Requires:	python3-coverage
Requires:	python3-pytest-cache
Requires:	python3-pytest-cov
Requires:	python3-flake8
Requires:	python3-pytest-flake8
Requires:	python3-pytest

%description
JOSE protocol implementation in Python using cryptography

%package -n python3-josepy
Summary:	JOSE protocol implementation in Python
Provides:	python-josepy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-josepy
JOSE protocol implementation in Python using cryptography

%package help
Summary:	Development documents and examples for josepy
Provides:	python3-josepy-doc
%description help
JOSE protocol implementation in Python using cryptography

%prep
%autosetup -n josepy-%{version}

%build
%pyproject_build

%install
%pyproject_install
rm -rf %{buildroot}%{python3_sitelib}/CHANGELOG.rst
rm -rf %{buildroot}%{python3_sitelib}/CONTRIBUTING.md

%files -n python3-josepy
%doc CHANGELOG.rst CONTRIBUTING.md
%{_bindir}/jws
%{python3_sitelib}/josepy*

%files help
%{_docdir}/*

%changelog
* Mon Feb 05 2024 xu_ping <707078654@qq.com> - 1.14.0-1
- Update to 1.14.0
- Add support for pyhon3.11 and python3.12
- Added a new valid PGP key to sign the package
- python3.7 is not supported and Remove support for python3.6

* Fri Aug 5 2022 wenzhiwei <wenzhiwei@kylinos.cn> - 1.13.0-1
- Update to 1.13.0

* Wed May 18 2022 liukuo <liukuo@kylinos.cn> - 1.8.0-2
- License compliance rectification

* Mon Jun 28 2021 Python_Bot <Python_Bot@openeuler.org> - 1.8.0-1
- Package Spec generated
